Connector Status

Operations of the Connector Gateway API. Paths are relative to your deployment's API host.

GET /api/connector-gateway-api/projects/{projectId}/integrations/status

Get integration status for a project

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes
StatusDescriptionBody
200application/json ConnectorStatusResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/connector-gateway-api/projects/{projectId}/integrations/{connectionBindingId}/test

Test connection for an integration binding

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
connectionBindingIdpathstringyes
projectIdpathstringyes
StatusDescriptionBody
200application/json TestConnectionResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto